<?php
/**
 * Db_User_Pattern
 *
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 *
 * @package Models
 * @subpackage Database
 *
 */

/**
 * Db_User_Pattern is the table class for the pattern table on the user databse.
 *
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 *
 * @package Models
 * @subpackage Database
 *
 * @property integer $id
 * @property integer $user_id
 * @property string $pattern
 * @property string|array $pattern_array
 * 
 */
abstract class Db_User_Pattern extends Doctrine_Record
{
	public function setTableDefinition()
    {
        $this->setTableName('pattern');
        $this->hasColumn('id', 'integer', 4, array(
             'primary' => true,
             'autoincrement' => true,
             'type' => 'integer',
             'length' => '4',
             ));
        $this->hasColumn('user_id', 'integer', 4, array(
             'type' => 'integer',
             'length' => '4',
             ));
        $this->hasColumn('pattern', 'string', 255, array(
             'type' => 'string',
             'notblank' => true,
             'length' => '255',
             ));
        $this->hasColumn('pattern_array', 'string', 255, array(
             'type' => 'string',
             'notblank' => true,
             'length' => '255',
             ));
        $this->hasColumn('pattern_response', 'string', 255, array(
             'type' => 'string',
             'notblank' => true,
             'length' => '255',
             ));
        $this->hasColumn('pattern_response_array', 'string', 255, array(
             'type' => 'string',
             'notblank' => true,
             'length' => '255',
             ));
    }

}