<?php
/**
 * Pattern
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Models
 * @subpackage Pattern
 * 
 */

/**
 * Pattern
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Models
 * @subpackage Pattern
 * 
 *  
 */

class Pattern extends Db_User_Pattern
{
	/**
	 * Unserialize the string.
	 * @return array
	 */
	public function getPatternArray()
	{
		return unserialize($this->_get('pattern_array'));
	}
	
	/**
	 * Serialize an array,
	 * @param $patternArray
	 */
	public function setPatternArray($patternArray)
	{
		return $this->_set('pattern_array', serialize($patternArray));
	}
	
	/**
	 * Unserialize the string.
	 * @return array
	 */
	public function getPatternResponseArray()
	{
		return unserialize($this->_get('pattern_response_array'));
	}
	
	/**
	 * Serialize an array,
	 * @param $patternArray
	 */
	public function setPatternResponseArray($patternResponseArray)
	{
		return $this->_set('pattern_response_array', serialize($patternResponseArray));
	}
}