<?php
/**
 * AddController
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Controllers
 * @subpackage User
 * 
 */

/**
 * Add controller
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Controllers
 * @subpackage Ai
 * 
 * 
 */
 
class AddController extends Zend_Controller_Action
{
	/**
	 * Redirects users when out of development.
	 */
	public function preDispatch()
	{
		if(!Zend_Registry::get('config')->application->development)
		{
			$this->_redirect('/');
		}
	}
	
	/**
	 * Redirect to index.
	 */
	public function indexAction()
	{
		$this->_redirect('/');
	}
	
	/**
	 * Add word
	 */
	public function wordAction()
	{
		$saved = false;
		
		
		if($this->getRequest()->isPost())
		{
			//Start Mai
			Mai::init();
			
			$params = $this->getRequest()->getParams();
			
			//Creat new word
			$word = array();
			$word['word'] = (isset($params['word'])) ? $params['word'] : 0;
			$word['wordtype'] = (isset($params['type']) && is_numeric($params['type'])) ? (int) $params['type'] : 0;
			$word['person'] = (isset($params['person']) && is_numeric($params['person'])) ? (int) $params['person'] : 0;
			$word['time'] = (isset($params['time']) && is_numeric($params['time'])) ? (int) $params['time'] : 0;
			$word['ww_id'] = (isset($params['ww_id']) && is_numeric($params['ww_id'])) ? (int) $params['ww_id'] : 0;
			$word['number'] = (isset($params['number']) && is_numeric($params['number'])) ? (int) $params['number'] : 0;
			
			$cacheWords = Mai_Cache::newCacheWords(
					BASE_PATH . Zend_Registry::get('config')->cache->manual->path,
					Zend_Registry::get('config')->cache->manual->filename,
					Zend_Registry::get('config')->cache->manual->varname
				);

			$words = $cacheWords->returnCacheFromFile();
			
			$words[] = $word;
			
			//Recreate cache
			$cacheWords->createCache($words);
			
			//save is true
			$saved = true;
		}
		
		$this->view->saved = $saved;
	}
}