<?php
/**
 * IndexController
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Controllers
 * @subpackage User
 * 
 */

/**
 * IndexController
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Controllers
 * @subpackage User
 * 
 *  
 */
 
class IndexController extends Zend_Controller_Action
{
	/**
	 * Checks the session before the actions.
	 */
	public function preDispatch()
	{
		if(!User_Session::isValid())
		{
			$this->_redirect('/login/');
		}
	}
	
	/**
	 * Creates and hash for AJAX requests and renders the view.
	 * @return unknown_type
	 */
	public function indexAction()
    {
    	$this->view->hash = sha1(md5(Base::getRealIp() . time() . uniqid()));
    }
}