<?php
/**
 * index.php Landing page of the Zend Framework.
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Other
 * 
 */

//Error reporting
//@Mai Todo: Set error_reporting to 0 in final version.
error_reporting(E_ALL | E_STRICT);
ini_set('display_startup_errors', 1);  
ini_set('display_errors', 1);
ini_set('memory_limit', '340M');

//Path seperator for include paths
define('PATH_SEPERATOR', ':');

//Application path for include paths
define('BASE_PATH', realpath(dirname(__FILE__) . '/../'));
define('APPLICATION_PATH', BASE_PATH . '/application');

//Settings for xdebug
ini_set('xdebug.dump.SERVER', 'HTTP_HOST, SERVER_NAME'); 
ini_set('xdebug.dump.GET', '*');
ini_set('xdebug.show_local_vars', 1);
ini_set('xdebug.collect_params', 4);

//Timezone
date_default_timezone_set('Europe/Amsterdam');

//Require bootstrap
require_once(APPLICATION_PATH . '/models/Application/Bootstrap/Base.php');
require_once(APPLICATION_PATH . '/models/Application/Bootstrap/Application.php');

Application_Bootstrap_Application::run();