/**
 * Connection JS file
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Non-PHP
 * 
 */
//Set form for data

var formDisabled = false;
var showLog = false; //Show log (Only on FF with fireBug, can throw errors on other browsers)

//Function to handle success
function handleSuccess(o)
{
		var response = o;
		
		if(response == 'invalid' || response == 'no_session')
		{
			if(showLog){console.log('Response: invalid session');}
			alert('Uw bericht is niet verwerkt doordat uw sessie niet meer geldig is.');
			$('#login').toggleClass("visible");
			$('#form').toggleClass("hidden");
		}
		else
		{
			if(response == 'invalid-form')
			{
				if(showLog){console.info('Response: invalid form');}
				//Invalid form data
				alert('U heeft het formulier niet goed ingevuld');
				$('#send').html('Verstuur');
				$('#send').removeAttr("disabled");
				formDisabled = false;
			}
			else
			{
				if(showLog){console.info('Response: valid');}
				//Logout check
				if(response.substr(0, 8) == '-LOGOUT-')
				{
					if(showLog){console.info('Response type: logout');}
					alert('Mai zegt: ' + response.substr(8) + '\n\nU bent nu uitgelogd.');
					$('#login').toggleClass("visible");
					$('#form').toggleClass("hidden");
					
					//Empty the whole interface of Mai (for security)
					$('#form').html('');
				}
				else
				{
					//servermessage check
					if(response.substr(0, 8) == '-SERVER-')
					{
						if(showLog){console.log('Response type: server');}
						//Add response to the log
						addLog(response.substr(8), 'server');
					}
					else
					{
						if(showLog){console.log('Response type: mai');}
						//Add response to the log
						addLog(response, 'mai');
					}
					
					//Reset the button
					$('#send').html('Verstuur');
					$('#send').removeAttr("disabled");
					formDisabled = false;
				}
			}
		}
}

//Function to handle AJAX errors
function handleError(request, error, exception)
{
	if(showLog){console.error('('+error+') Server response:'+request.responseText);}
	alert("Er is een fout opgetreden tijdens de verbinding. Herlaad de pagina of contacteer een administrator.");
}

$(document).ready(function(){
	//Send form on submit
	$("form#conversation-form").submit(function(){
		if(formDisabled == false)
		{
			if(document.getElementById('text').value != '')
			{
			   	//Disable the button
			    $('#send').html('<img src="/images/loader.gif" id="loader" />&nbsp;&nbsp;Laden');
			   	$('#send').attr("disabled", "true"); 

			   	formDisabled = true;
			   	
			   	//Add message to the log
			   	addLog($("#text").val(), 'user');
			   	
				//Do the request	   	
				$.ajax({
					type: "POST",
					url: "/talk/",
					beforeSend: function(e) {e.setRequestHeader("X-Signature", hash)},
					data: "text="+$("#text").val()+"&type="+$("#type").val(),
					success: handleSuccess,
					error: handleError
		
				});
				//Reset form
				$("#text").val('');
			}
			else
			{
				alert('Vul een zin in om tegen Mai te zeggen.');
			}
		
			//Disable submit
			return false;
		}
		else
		{
			return false;
		}
	});
});

//Function to update the log
function addLog(text, user)
{
	var log = $('#conversation-log');
	
	if(user == 'mai')
	{
		//Show error if the input is invalid
		if(text == 'invalid-input')
		{
			log.append('<b>Server:</b> Gegeven tekst is niet toegestaan!<br />');
		}
		//Show standard message when we receive no output
		else if(text == 'no-message')
		{
			log.append('<b>Mai:</b> <i>(stilte)</i> <br />');
		}
		else
		{
			log.append('<b>Mai:</b> '+html_entity_decode(text)+' <br />');
		}
	}
	else if(user == 'server')
	{
		log.append('<b>Server:</b> '+html_entity_decode(text)+' <br />');
	}
	else if(user == 'user')
	{
		log.append('<b>Jij:</b> '+html_entity_decode(text)+' <br />');
	}

	log.animate({scrollTop: 1000}, 1000);
}

//Function to decode entities
function html_entity_decode(str) {
	return str.replace(/</g,"&lt;").replace(/>/g,"&gt;");
}