<?php
/**
 * Mai_Container_Output_Pattern_Interface
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @category Mai
 * @package Container
 * @subpackage Output-Pattern
 * 
 */

/** Load required file */
if(!Mai::getAutoloader())
{
	require_once 'Mai/Container/Interface.php';
}

/**
 * Mai_Container_Output_Pattern_Interface is an interface for pattern container classes.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @category Mai
 * @package Container
 * @subpackage Output-Pattern
 *
 */
interface Mai_Container_Output_Pattern_Interface extends Mai_Container_Interface
{
	public function setBasePattern(array $pattern);
	public function getBasePattern();

	public function setTimePattern(array $pattern);
	public function getTimePattern();
	
	public function setPersonPattern(array $pattern);
	public function getPersonPattern();
	
	public function getInputSentence();
	
	public function setOrderPattern(array $pattern, array $answerPattern);
	public function getOrderPattern($type);
	
	public function setAsQuestion();
	public function isQuestion();
}