<?php
/**
 * CSV Parser
 * 
 * Copyright (C) 2009  Mai (Me Artificial Intelligence)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Wouter Bulten (wouterbulten@mai-ai.org)
 * @copyright Copyright (C) 2009  Mai (Me Artificial Intelligence)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License version 3 (GPLv3)
 * @link http://www.launchpad.net/mai
 * 
 * @package Other
 * 
 */

//Setup global settings
error_reporting(E_ALL | E_STRICT);
ini_set('display_startup_errors', 1);  
ini_set('display_errors', 1);

//Enlarge memory
ini_set('memory_limit', '200M');

//Path seperator for include paths (Mac OS: ':', Windows ';')
define('PATH_SEPERATOR', ':');

//Application path for include paths
define('BASE_PATH', realpath(dirname(__FILE__) . '/../'));
define('APPLICATION_PATH', BASE_PATH . '/application');

//Timezone
date_default_timezone_set('Europe/Amsterdam');

//Setup include paths
set_include_path('.'
    . PATH_SEPERATOR . get_include_path()
    
    //Include paths for libraries
    . PATH_SEPERATOR . BASE_PATH . '/library'
    
    //Models
    . PATH_SEPERATOR . APPLICATION_PATH . '/models'
);
    	
//Setup autoloading

//Require files
require_once('Zend/Loader.php');
require_once('Zend/Loader/Autoloader.php');

$autoloader = Zend_Loader_Autoloader::getInstance();

//Register namespace Mai_
$autoloader->registerNamespace('Mai_');

$autoloader->setFallbackAutoloader(true);

//Show errors
$autoloader->suppressNotFoundWarnings(false);

//Start Mai because we need Mai Lib
Mai::init();

//Open file
$file = fopen(BASE_PATH . '/data/csv/words_relations.csv', "r");

$counter = array();

//Parse
while($data = fgetcsv($file, 0, ';', '"'))
{	
	$word = $data[0];
	$letter = strtolower(substr($word, 0, 2));
	
	if(!isset($counter[$letter]))
	{
		$counter[$letter] = 1;
	}
	else
	{
		$counter[$letter]++;
	}
}


//End Mai
Mai::end();

asort($counter, SORT_NUMERIC);

$combinations = count($counter);
var_dump($counter);

echo $combinations;